GET api/contractapi/contract/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| washing_processes | Collection of WashingProcessViewModel |
None. |
|
| active | boolean |
Required |
|
| certificate_type_id | globally unique identifier |
Required |
|
| code | integer |
None. |
|
| delay_between_scans | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| internal_reference | string |
String length: inclusive between 0 and 50 |
|
| item_wash_max | integer |
None. |
|
| language_code | string |
Required String length: inclusive between 0 and 10 |
|
| name | string |
Required String length: inclusive between 0 and 100 |
|
| packaging_type_id | globally unique identifier |
Required |
|
| packing_type_id | globally unique identifier |
Required |
|
| particles_control | boolean |
Required |
|
| peremption_month | integer |
None. |
|
| peremption_print_cleanroom | boolean |
Required |
|
| peremption_print_date | boolean |
Required |
|
| peremption_print_expedition | boolean |
Required |
|
| permanent_management | boolean |
Required |
|
| pool_id | globally unique identifier |
None. |
|
| remark | string |
None. |
|
| site_customer_id | globally unique identifier |
Required |
|
| sorting_type_id | globally unique identifier |
Required |
|
| type | string |
Required String length: inclusive between 0 and 1 |
Response Formats
application/json, text/json
Sample:
{
"selected_nameplate_id": "f5d499fa-62bf-4ca0-9bd7-95e86fd28b10",
"selected_sticker_id": "d805436e-1b7c-4e4b-b0d8-50dd6fd0cb07",
"washing_processes": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "854a3969-21cd-496b-b4a6-8d37ca88fc08",
"site_id": "13a00df4-2167-4538-8beb-5ef0ceb5085e"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "854a3969-21cd-496b-b4a6-8d37ca88fc08",
"site_id": "13a00df4-2167-4538-8beb-5ef0ceb5085e"
}
],
"active": true,
"certificate_type_id": "a396bbe1-13b8-4539-9c29-653dbd50efa7",
"code": 1,
"delay_between_scans": 1,
"id": "8a5c5154-e779-4a1a-81d2-b8d21848ca58",
"internal_reference": "sample string 4",
"item_wash_max": 1,
"language_code": "sample string 5",
"name": "sample string 6",
"packaging_type_id": "2636c9c6-bf4f-405a-b021-119758dbec4b",
"packing_type_id": "d33ed75e-bf22-4c2f-aa88-cbd2484340bc",
"particles_control": true,
"peremption_month": 1,
"peremption_print_cleanroom": true,
"peremption_print_date": true,
"peremption_print_expedition": true,
"permanent_management": true,
"pool_id": "ee177b4a-cb01-48fe-b4cc-1e0070d36e1a",
"remark": "sample string 14",
"site_customer_id": "553cb3a4-e38c-4580-94fb-e64a09818614",
"sorting_type_id": "fef625f9-3642-4812-b137-c4f97656b273",
"type": "sample string 17"
}
application/xml, text/xml
Sample:
<contract xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<certificate_type_id>a396bbe1-13b8-4539-9c29-653dbd50efa7</certificate_type_id>
<code>1</code>
<delay_between_scans>1</delay_between_scans>
<id>8a5c5154-e779-4a1a-81d2-b8d21848ca58</id>
<internal_reference>sample string 4</internal_reference>
<item_wash_max>1</item_wash_max>
<language_code>sample string 5</language_code>
<name>sample string 6</name>
<packaging_type_id>2636c9c6-bf4f-405a-b021-119758dbec4b</packaging_type_id>
<packing_type_id>d33ed75e-bf22-4c2f-aa88-cbd2484340bc</packing_type_id>
<particles_control>true</particles_control>
<peremption_month>1</peremption_month>
<peremption_print_cleanroom>true</peremption_print_cleanroom>
<peremption_print_date>true</peremption_print_date>
<peremption_print_expedition>true</peremption_print_expedition>
<permanent_management>true</permanent_management>
<pool_id>ee177b4a-cb01-48fe-b4cc-1e0070d36e1a</pool_id>
<remark>sample string 14</remark>
<site_customer_id>553cb3a4-e38c-4580-94fb-e64a09818614</site_customer_id>
<sorting_type_id>fef625f9-3642-4812-b137-c4f97656b273</sorting_type_id>
<type>sample string 17</type>
<selected_nameplate_id>f5d499fa-62bf-4ca0-9bd7-95e86fd28b10</selected_nameplate_id>
<selected_sticker_id>d805436e-1b7c-4e4b-b0d8-50dd6fd0cb07</selected_sticker_id>
<washing_processes>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>854a3969-21cd-496b-b4a6-8d37ca88fc08</id>
<site_id>13a00df4-2167-4538-8beb-5ef0ceb5085e</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
<washing_process>
<active>true</active>
<code>sample string 2</code>
<id>854a3969-21cd-496b-b4a6-8d37ca88fc08</id>
<site_id>13a00df4-2167-4538-8beb-5ef0ceb5085e</site_id>
<descriptions xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 1</d4p1:Key>
<d4p1:Value>sample string 2</d4p1:Value>
</d4p1:KeyValueOfstringstring>
<d4p1:KeyValueOfstringstring>
<d4p1:Key>sample string 3</d4p1:Key>
<d4p1:Value>sample string 4</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</descriptions>
</washing_process>
</washing_processes>
</contract>